Manage Recording Rules
Retrieve the latest version of a specific recording rule
get
/api/recording-rules/{originOrId}Parameters 2
originOrIdpathrequiredRecording rule origin or id.
string
datasetqueryReferences Dataset
Optional dataset to query across. Defaults to whatever is configured to be the default dataset for the organization.
stringpattern
"^[a-zA-Z0-9_-]{3,26}$"bash
Sample request12curl --request GET 'https://api.eu-west-1.aws.dash0.com/api/recording-rules/123e4567-e89b-42d3-a456-426614174000' \--header "Authorization: Bearer ${DASH0_AUTH_TOKEN}"
Responses
The requested recording rule.
References PrometheusRule
A resource following the monitoring.coreos.com/v1 PrometheusRule CRD format. A PrometheusRule contains one or more rule groups, each evaluated at a common interval. Groups may contain recording rules, alerting rules, or both.
PrometheusRuleMetadatarequired
Metadata for the PrometheusRule resource, following Kubernetes metadata conventions.
PrometheusRuleSpecrequired
Spec of the PrometheusRule resource containing rule groups.